<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text"/>
  <xsl:template match="/data">

  <!--CART 1 COLOR-->
  <!--CART 1 below 5% -->
    <xsl:choose>
      <xsl:when test="./InkLevelCart1 &lt;=5 and not(./CartridgeAuthenticityCart1='0x03')">
        <xsl:choose>
          <xsl:when test="./CartridgeAuthenticityCart2='0x03'">CLROUT</xsl:when>
          <xsl:otherwise>          
            <xsl:if test="./InkLevelCart2 &lt;=5">
              <xsl:choose>
                <xsl:when test="./CartridgeTypeCart2='Black'">CLROUTBLKOUT</xsl:when>
                <xsl:when test="./CartridgeTypeCart2='Photo'">CLROUTPHOOUT</xsl:when>
              </xsl:choose>
            </xsl:if>
            <xsl:if test="./InkLevelCart2 &gt;5 and ./InkLevelCart2 &lt;=15">
              <xsl:choose>
                <xsl:when test="./CartridgeTypeCart2='Black'">CLROUTBLKLOW</xsl:when>
                <xsl:when test="./CartridgeTypeCart2='Photo'">CLROUTPHOLOW</xsl:when>
              </xsl:choose>
            </xsl:if>
            <xsl:if test="./InkLevelCart2 &gt;15">CLROUT</xsl:if>        
	  </xsl:otherwise>
	</xsl:choose>
      </xsl:when>
      
      <!--CART 1 goes past 10%  or  15% thresholds -->
      <xsl:when test="((./InkLevelCart1 &lt;=10 and ./InkLevelPrevJobCart1 &gt;10) or (./InkLevelCart1 &lt;=15 and ./InkLevelPrevJobCart1 &gt;15)) and not(./CartridgeAuthenticityCart1='0x03')">
        <xsl:choose>
	  <xsl:when test="./CartridgeAuthenticityCart2='0x03'">CLRLOW</xsl:when>
          <xsl:otherwise>
            <xsl:if test="./InkLevelCart2 &lt;=5">
              <xsl:choose>
                <xsl:when test="./CartridgeTypeCart2='Black'">CLRLOWBLKOUT</xsl:when>
                <xsl:when test="./CartridgeTypeCart2='Photo'">CLRLOWPHOOUT</xsl:when>
              </xsl:choose>
            </xsl:if>
            <xsl:if test="./InkLevelCart2 &gt;5 and ./InkLevelCart2 &lt;=15">
              <xsl:choose>
                <xsl:when test="./CartridgeTypeCart2='Black'">CLRLOWBLKLOW</xsl:when>
                <xsl:when test="./CartridgeTypeCart2='Photo'">CLRLOWPHOLOW</xsl:when>
              </xsl:choose>
            </xsl:if>
            <xsl:if test="./CartridgeTypeCart1='Color'">CLRLOW</xsl:if>
	  </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      
      <!--CART 2 goes below 5% -->
      <xsl:when test="./InkLevelCart2 &lt;=5 and not(./CartridgeAuthenticityCart2='0x03')">
        <xsl:choose>
	  <xsl:when test="./CartridgeAuthenticityCart1='0x03' and ./CartridgeTypeCart2='Black'">BLKOUT</xsl:when>
	  <xsl:when test="./CartridgeAuthenticityCart1='0x03' and ./CartridgeTypeCart2='Photo'">PHOOUT</xsl:when>
          <xsl:otherwise>
            <xsl:if test="./InkLevelCart1 &lt;=5">
              <xsl:choose>
                <xsl:when test="./CartridgeTypeCart2='Black' and ./CartridgeTypeCart1='Color'">CLROUTBLKOUT</xsl:when>
                <xsl:when test="./CartridgeTypeCart2='Photo' and ./CartridgeTypeCart1='Color'">CLROUTPHOOUT</xsl:when>
              </xsl:choose>
            </xsl:if>
            <xsl:if test="./InkLevelCart1 &gt;5 and ./InkLevelCart1 &lt;=15">
              <xsl:choose>
                <xsl:when test="./CartridgeTypeCart2='Black' and ./CartridgeTypeCart1='Color'">CLRLOWBLKOUT</xsl:when>
                <xsl:when test="./CartridgeTypeCart2='Photo' and ./CartridgeTypeCart1='Color'">CLRLOWPHOOUT</xsl:when>
              </xsl:choose>
            </xsl:if>
            <xsl:if test="./CartridgeTypeCart2='Black'">BLKOUT</xsl:if>
            <xsl:if test="./CartridgeTypeCart2='Photo'">PHOOUT</xsl:if>
	  </xsl:otherwise>
        </xsl:choose>
      </xsl:when>

      <!--CART 2 goes past 10%  or  15% thresholds -->
      <xsl:when test="((./InkLevelCart2 &lt;=10 and ./InkLevelPrevJobCart2 &gt;10) or (./InkLevelCart2 &lt;=15 and ./InkLevelPrevJobCart2 &gt;15)) and not(./CartridgeAuthenticityCart2='0x03')">
        <xsl:choose>
	  <xsl:when test="./CartridgeAuthenticityCart1='0x03' and ./CartridgeTypeCart2='Black'">BLKLOW</xsl:when>
	  <xsl:when test="./CartridgeAuthenticityCart1='0x03' and ./CartridgeTypeCart2='Photo'">PHOLOW</xsl:when>
          <xsl:otherwise>
            <xsl:if test="./InkLevelCart1 &lt;=5">
              <xsl:choose>
                <xsl:when test="./CartridgeTypeCart2='Black' and ./CartridgeTypeCart1='Color'">CLROUTBLKLOW</xsl:when>
                <xsl:when test="./CartridgeTypeCart2='Photo' and ./CartridgeTypeCart1='Color'">CLROUTPHOLOW</xsl:when>
              </xsl:choose>
            </xsl:if>
            <xsl:if test="./InkLevelCart1 &gt;5 and ./InkLevelCart1 &lt;=15">
              <xsl:choose>
                <xsl:when test="./CartridgeTypeCart2='Black' and ./CartridgeTypeCart1='Color'">CLRLOWBLKLOW</xsl:when>
                <xsl:when test="./CartridgeTypeCart2='Photo' and ./CartridgeTypeCart1='Color'">CLRLOWPHOLOW</xsl:when>
              </xsl:choose>
            </xsl:if>
            <xsl:if test="./CartridgeTypeCart2='Black'">BLKLOW</xsl:if>
            <xsl:if test="./CartridgeTypeCart2='Photo'">PHOLOW</xsl:if>
	  </xsl:otherwise>	
        </xsl:choose>
      </xsl:when>
      
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
